Skip to navigation

Update Depositor

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

depositor_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
first_namestring or nullOptional<=32 characters
last_namestring or nullOptional<=32 characters
entity_namestring or nullOptional<=64 characters
institution_depositor_idstring or nullOptional<=256 characters
depositor_typeenum or nullOptional
ownership_categoryenum or nullOptional
account_officerstring or nullOptional<=128 characters
notesstring or nullOptional<=256 characters
phone_numberslist of objects or nullOptional
addresseslist of objects or nullOptional
approval_statusenum or nullOptional
Allowed values:
account_idslist of strings or nullOptional
Account IDs to associate with this depositor. These are appended to existing associations.
institution_opt_out_federal_idslist of strings or nullOptional
List of institutions, identified by federal ID, excluded from receiving this depositor's funds.

Response

Successful Response
idstring
institution_idstring
institution_depositor_idstring or null
first_namestring or null
last_namestring or null
entity_namestring or null
is_organizationboolean
phone_numberslist of objects
emailslist of objects
addresseslist of objects
depositor_typeenum
tin_last_fourstring or nullOptional

Last 4 digits of the TIN (masked).

ownership_categoryenum or nullOptional
account_officerstring or nullOptional
notesstring or nullOptional
institution_opt_out_federal_idslist of stringsOptional
List of institutions, identified by federal ID, excluded from receiving this depositor's funds.
tinstring or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error